Skip to main content
POST
/
organization
/
{organizationId}
/
labelsGroups
Create an organization labels group
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/labelsGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "labels": [
    {
      "key": "<string>",
      "value": "<string>",
      "propagate_to_cloud_provider": true
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "labels": [
    {
      "key": "<string>",
      "value": "<string>",
      "propagate_to_cloud_provider": true
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required

name of the labels group

labels
object[]
required

Response

Organization labels group created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
labels
object[]
required
updated_at
string<date-time>
read-only